/**
 * CInput
 * @author Tevin
 */

<template>
    <AtInput
        :name="itemRes.name"
        :title="itemRes.label"
        :type="type"
        :placeholder="placeholder"
        :required="itemRes.required"
        :error="itemRes.error"
        :value="itemRes.formData[itemRes.name]"
        :onChange="evt=>itemRes.onChange(evt)"
    >
        <slot />
    </AtInput>
</template>

<script>
import { AtInput } from 'taro-ui-vue';

export default {
    name: 'CInput',
    components: {
        AtInput,
    },
    props: {
        type: String,
        placeholder: String,
        itemRes: Object,
    },
    mounted() {},
};
</script>